using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
using System.Data.Sql;
using System.IO;

public partial class ImageUpload : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    protected void btnUpload_Click(object sender, EventArgs e)
    {
        Stream imgStream = fuImage.PostedFile.InputStream;
        int imgLen = fuImage.PostedFile.ContentLength;
        string imgName = txtImageName.Text;
        byte[] imgBinaryData = new byte[imgLen];
        int n = imgStream.Read(imgBinaryData,0,imgLen);

        //use the web.config to store the connection string
        SqlConnection connection = new SqlConnection(ConfigurationManager.ConnectionStrings["connectionString"].ConnectionString);
        SqlCommand command = new SqlCommand("INSERT INTO Image (imagename,image) VALUES ( @img_name, @img_data)", connection);

        SqlParameter param0 = new SqlParameter("@img_name", SqlDbType.VarChar, 50);
        param0.Value = imgName;
        command.Parameters.Add(param0);

        SqlParameter param1 = new SqlParameter("@img_data", SqlDbType.Image);
        param1.Value = imgBinaryData;
        command.Parameters.Add(param1);

        connection.Open();
        int numRowsAffected = command.ExecuteNonQuery();
        connection.Close();
    }
}
